def CONTAINER_NAME="jenkins-pipeline"
def CONTAINER_TAG="latest"
def DOCKER_HUB_USER="hakdogan"
def HTTP_PORT="8090"
def organization="sascararquitetura"
def repo="sascar-poc-arquitetura"
def version_stable="stable"
def version_latest="latest"

node {

    stage('Initialize'){
        def dockerHome = tool 'docker-default'
        def mavenHome  = tool 'maven-default'
        env.PATH = "${dockerHome}/bin:${mavenHome}/bin:${env.PATH}"
        
        sh "echo variables in Path = ${env.PATH}"
    }
    
    /* stage('Checkout') {
        checkout scm
    }

    stage('Build'){
        sh "mvn clean install"
    }
    
     stage('Sonar'){
     	sh "mvn sonar:sonar"
     }
     
     stage("nexux") {
         configFileProvider([configFile(fileId: 'settings2', variable: 'MAVEN_SETTINGS_XML')]) {
                     sh 'mvn -s $MAVEN_SETTINGS_XML deploy -DskipTests'
                }         
     }*/
     
     stage("Image Prune"){
     	sh "chmod 777 /var/run/docker.sock"
        imagePrune(CONTAINER_NAME)
    }

    stage('Image Build'){
        imageBuild(CONTAINER_NAME, CONTAINER_TAG)
    }
     
     /* stage("package-docker") {
         sh "sudo docker login -u sascararq -p Sascar@2019"
         sh "sudo docker build -t $organization/$repo:$version_latest ."
         sh "sudo docker push $organization/$repo:$version_latest"
     }*/
 }
     
     def imagePrune(containerName){
	    try {
	    	sh "docker image prune -f"
	        sh "docker stop $containerName"
	    } catch(error){}
	}
	
	def imageBuild(containerName, tag){
	    sh "sudo docker build -t $containerName:$tag  -t $containerName --pull --no-cache ."
	    echo "Image build complete"
	}


